# $Revision: 1.29 $, $Date: 2010/11/15 08:40:03 $
Summary:	A clone of the famous 8bit Atari game Robbo
Summary(pl.UTF-8):	Klon słynnej gry Robbo znanej z 8-bitowych Atari
Name:		gnurobbo
Version:	0.66
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/gnurobbo/%{name}-%{version}-source.tar.gz
# Source0-md5:	77fdf9a186a08c1f95b94bd35ebbc21c
Source1:	%{name}.desktop
Patch0:		%{name}-flags.patch
URL:		http://gnurobbo.sourceforge.net/
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Robbo is very addictive logic game. You must help little robot to
get out of unfriendly planet, collecting parts of emergency capsule.

%description -l pl.UTF-8
GNU Robbo jest bardzo uzależniającą grą logiczną. Należy pomóc małemu
robotowi uciec z nieprzyjaznych planet zbierając części kapsuły
ratunkowej.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	PACKAGE_DATA_DIR=%{_datadir}/%{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	PACKAGE_DATA_DIR=$RPM_BUILD_ROOT%{_datadir}/%{name} \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	DOCDIR=data

cp -r data/skins/tronic $RPM_BUILD_ROOT%{_datadir}/%{name}/skins/
cp -r data/locales $RPM_BUILD_ROOT%{_datadir}/%{name}/

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install icon32.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Bugs ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnurobbo.spec,v $
Revision 1.29  2010/11/15 08:40:03  lisu
- up to 0.66
- link with -lm

Revision 1.28  2010/02/17 23:59:48  sparky
- dropped unused BR: autoconf, automake, libtool (package does not even have
  configure script)

Revision 1.27  2010/02/17 14:48:40  lisu
- pass our CFLAGS and LDFLAGS too (-flags.patch)

Revision 1.26  2010/02/17 14:44:03  lisu
- up to 0.65.6
- GPL v2+ license

Revision 1.25  2009/12/11 21:58:23  sparky
- BR: SDL_image-devel, SDL_mixer-devel

Revision 1.24  2009/12/11 18:33:17  jajcus
- force distfiles upload

Revision 1.23  2009/12/11 16:41:01  jajcus
- Version: 0.64

Revision 1.22  2009/02/28 13:47:26  wolf
- 0.60

Revision 1.21  2007-02-13 07:16:47  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.19  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.18  2006/10/16 22:14:19  qboosh
- dropped /usr/X11R6, cleanup

Revision 1.17  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.16  2005/02/25 14:28:45  gj
- stdlib.h is required for getenv() to be declared, and work propertly.
- This fixes crash on amd64.
- time.h is system include, hence usage of narrow brackets seems to be better.

Revision 1.15  2004/07/03 21:54:45  havner
- applnk -> vfolders

Revision 1.14  2003/11/10 23:22:20  qboosh
- BR: ac,am,lt

Revision 1.13  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.12  2003/06/06 12:19:20  qboosh
- updated feedback address

Revision 1.11  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.10  2003/05/25 05:48:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.8  2002/11/23 20:52:43  qboosh
- added workaround to avoid leaving trash in %%_builddir

Revision 1.7  2002/11/15 22:24:28  wolf
- new 0.57 (rel 2)

Revision 1.6  2002/11/13 15:46:29  wolf
- 0.57

Revision 1.5  2002/11/03 23:18:54  wolf
- 0.56

Revision 1.4  2002/10/18 13:58:45  wolf
- 0.55
- better description
- use desktop file
- new icon

Revision 1.3  2002/10/16 09:02:10  qboosh
- typo

Revision 1.2  2002/10/15 16:36:22  wolf
- SDL-devel is BR: by SDL_ttf-devel
- pl desc
- URL

Revision 1.1  2002/10/15 11:54:06  jajcus
- new spec
